# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::MemoryStreamInput Class Reference

`#include <pic_io.h>`

Inheritance diagram for dirac::MemoryStreamInput:

[legend]
Collaboration diagram for dirac::MemoryStreamInput:

[legend]

List of all members.

## Public Member Functions

- MemoryStreamInput ()
    Default constructor.
- ~MemoryStreamInput ()
    Destructor.
- void SetSequenceParams (SeqParams &sparams)
    Set the seqence parameters.
- void SetMembufReference (unsigned char *buf, int buf_size)
    Set Memory buffer.
- bool End () const
    Returns true if we're at the end of the input, false otherwise.
- virtual void Skip (const int n)
    Skip n frame of input. Unimplemented to this class.

## Protected Member Functions

- MemoryStreamInput (const MemoryStreamInput &)
    Body-less copy constructor.
- MemoryStreamInput & operator= (const MemoryStreamInput &)
    Body-less assignment operator.

## Protected Attributes

- InputMemoryBuffer m_membuf
    Input stream buffer.

## Classes

- class InputMemoryBuffer
    Class that defines the Input Stream Memory Buffer. More...

## Detailed Description

Class for reading picture data from memory

## Constructor & Destructor Documentation

dirac::MemoryStreamInput::MemoryStreamInput | ( |  | ) |

dirac::MemoryStreamInput::~MemoryStreamInput | ( |  | ) |

dirac::MemoryStreamInput::MemoryStreamInput | ( | const MemoryStreamInput & |  | ) | `[protected]`

## Member Function Documentation

void dirac::MemoryStreamInput::SetSequenceParams | ( | SeqParams & | sparams | ) | `[inline]`

References dirac::StreamPicInput::m_sparams.

void dirac::MemoryStreamInput::SetMembufReference | ( | unsigned char * | buf,
|  | int | buf_size |
| ) |  |  |

Set the input memory buffer variables

Parameters:

  | buf | Input Buffer to read data from
  | buf_size | Input buffer size

bool dirac::MemoryStreamInput::End | ( |  | ) | const

Reimplemented from dirac::StreamPicInput.

virtual void dirac::MemoryStreamInput::Skip | ( | const int | n | ) | `[virtual]`

Implements dirac::StreamPicInput.

MemoryStreamInput& dirac::MemoryStreamInput::operator= | ( | const MemoryStreamInput & |  | ) | `[protected]`

## Member Data Documentation

InputMemoryBuffer dirac::MemoryStreamInput::m_membuf `[protected]`

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.